package com.yutou.bilibili.Services;

import com.yutou.bilibili.mybatis.model.UBiliUp;
import com.yutou.bilibili.mybatis.model.UUser;

import java.util.List;

public interface IUserService {
    boolean login(String uname,String password);
    boolean reg(UUser user);
    boolean addUp(UBiliUp up);
    boolean removeUp(UUser user,UBiliUp up);
    boolean update(UUser user);
    UUser getUser(String uname);
    UUser getUserToUid(Integer uid);
    UUser getUserToToken(String token);
    List<UBiliUp> getUserUp(int uid);
}
